Subject: bug#52053: 29.0.50; Nonsensical button "C-x C-f" in scratch buffer

From: Po Lu <[email-masked]>
Date: Wed, 24 Nov 2021 17:28:10 +0800

Lars Ingebrigtsen <[email-masked]> writes:

> I don't think we're meant to have a button here, but we're running this:
>
> (defcustom initial-scratch-message (purecopy "\
> ;; This buffer is for text that is not saved, and for Lisp evaluation.
> ;; To create a file, visit it with \\[find-file] and enter text in its buffer.
>
> ")
>
> through substitute-command-keys so that the find-file is expanded.
>
> The problem is two-fold: substitute-command-keys shouldn't buttonise the
> keys here, so perhaps it should grow a new parameter to inhibit that.
>
> The other problem is that the font-locking in the buffer removes the
> nice fontification of the key binding, so that should also be fixed.

FWIW, I don't think it makes sense to fontify key bindings specially in
lisp-interaction-mode.  I expect to see only the comment face there.

Thanks.